# Uses of Class
org.apache.lucene.monitor.Presearcher

- ## Uses of Presearcher in org.apache.lucene.monitor

  Subclasses of Presearcher in org.apache.lucene.monitor
  Modifier and Type
  Class
  Description
  `class`
  `MultipassTermFilteredPresearcher`
  A TermFilteredPresearcher that indexes queries multiple times, with terms collected from different routes through a querytree.
  `class`
  `TermFilteredPresearcher`
  Presearcher implementation that uses terms extracted from queries to index them in the Monitor, and builds a disjunction from terms in a document to match them.
  Fields in org.apache.lucene.monitor declared as Presearcher
  Modifier and Type
  Field
  Description
  `static final Presearcher`
  Presearcher.`NO_FILTERING`
  A Presearcher implementation that does no query filtering, and runs all registered queries
  `protected final Presearcher`
  Monitor.`presearcher`
  Constructors in org.apache.lucene.monitor with parameters of type Presearcher
  Modifier
  Constructor
  Description
  ``
  `Monitor(Analyzer analyzer, Presearcher presearcher)`
  Create a new non-persistent Monitor instance
  ``
  `Monitor(Analyzer analyzer, Presearcher presearcher, MonitorConfiguration configuration)`
  Create a new Monitor instance